using System;

namespace ConsoleApp32
{
    class Program
    {
        static double Iznos(double[] a, double[] p, double pr, int n, int br)
        {
            if (n == br)
                return 0;
            else if (pr <= p[br])
                return Iznos(a, p, pr, n, br + 1) + a[br] * pr / 100;
            else return Iznos(a, p, pr, n, br + 1);

        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            double iznos; double maxiznos = 0;
            for (int i = 0; i < n; i++)
            {
                iznos = Iznos(a, p, p[i], n, 0);
                if (iznos > maxiznos)
                    maxiznos = iznos;
            }
            maxiznos = Math.Round(maxiznos, 4);
            Console.WriteLine(maxiznos.ToString("0.0000"));
        }
    }
}